DataGridTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.DataGridTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class DataGridTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.DataGridTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class DataGridTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DataGridTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAjaxKeys(java.lang.String __ajaxKeys)`
`void` | `setAlign(java.lang.String __align)`
`void` | `setBgcolor(java.lang.String __bgcolor)`
`void` | `setBorder(java.lang.String __border)`
`void` | `setCaptionClass(java.lang.String __captionClass)`
`void` | `setCaptionStyle(java.lang.String __captionStyle)`
`void` | `setCellpadding(java.lang.String __cellpadding)`
`void` | `setCellspacing(java.lang.String __cellspacing)`
`void` | `setColumnClasses(java.lang.String __columnClasses)`
`void` | `setColumns(java.lang.String __columns)`
`void` | `setComponentState(java.lang.String __componentState)`
`void` | `setElements(java.lang.String __elements)`
`void` | `setFirst(java.lang.String __first)`
`void` | `setFooter(java.lang.String __footer)`
`void` | `setFooterClass(java.lang.String __footerClass)`
`void` | `setFrame(java.lang.String __frame)`
`void` | `setHeader(java.lang.String __header)`
`void` | `setHeaderClass(java.lang.String __headerClass)`
`void` | `setOnRowClick(java.lang.String __onRowClick)`
`void` | `setOnRowDblClick(java.lang.String __onRowDblClick)`
`void` | `setOnRowMouseDown(java.lang.String __onRowMouseDown)`
`void` | `setOnRowMouseMove(java.lang.String __onRowMouseMove)`
`void` | `setOnRowMouseOut(java.lang.String __onRowMouseOut)`
`void` | `setOnRowMouseOver(java.lang.String __onRowMouseOver)`
`void` | `setOnRowMouseUp(java.lang.String __onRowMouseUp)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRowClasses(java.lang.String __rowClasses)`
`void` | `setRowIndex(java.lang.String __rowIndex)`
`void` | `setRowKey(java.lang.String __rowKey)`
`void` | `setRowKeyVar(java.lang.String __rowKeyVar)`
`void` | `setRows(java.lang.String __rows)`
`void` | `setRules(java.lang.String __rules)`
`void` | `setStateVar(java.lang.String __stateVar)`
`void` | `setSummary(java.lang.String __summary)`
`void` | `setVar(java.lang.String __var)`
`void` | `setWidth(java.lang.String __width)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataGridTag

    public DataGridTag()

Method Detail

### setFooter

    public void setFooter(java.lang.String __footer)

### setWidth

    public void setWidth(java.lang.String __width)

### setStateVar

    public void setStateVar(java.lang.String __stateVar)

### setOnRowClick

    public void setOnRowClick(java.lang.String __onRowClick)

### setRowKeyVar

    public void setRowKeyVar(java.lang.String __rowKeyVar)

### setOnRowDblClick

    public void setOnRowDblClick(java.lang.String __onRowDblClick)

### setColumns

    public void setColumns(java.lang.String __columns)

### setRowKey

    public void setRowKey(java.lang.String __rowKey)

### setSummary

    public void setSummary(java.lang.String __summary)

### setVar

    public void setVar(java.lang.String __var)

### setOnRowMouseOver

    public void setOnRowMouseOver(java.lang.String __onRowMouseOver)

### setRows

    public void setRows(java.lang.String __rows)

### setOnRowMouseUp

    public void setOnRowMouseUp(java.lang.String __onRowMouseUp)

### setColumnClasses

    public void setColumnClasses(java.lang.String __columnClasses)

### setHeader

    public void setHeader(java.lang.String __header)

### setFirst

    public void setFirst(java.lang.String __first)

### setCellspacing

    public void setCellspacing(java.lang.String __cellspacing)

### setHeaderClass

    public void setHeaderClass(java.lang.String __headerClass)

### setOnRowMouseOut

    public void setOnRowMouseOut(java.lang.String __onRowMouseOut)

### setCellpadding

    public void setCellpadding(java.lang.String __cellpadding)

### setRowClasses

    public void setRowClasses(java.lang.String __rowClasses)

### setRules

    public void setRules(java.lang.String __rules)

### setComponentState

    public void setComponentState(java.lang.String __componentState)

### setOnRowMouseDown

    public void setOnRowMouseDown(java.lang.String __onRowMouseDown)

### setFooterClass

    public void setFooterClass(java.lang.String __footerClass)

### setCaptionStyle

    public void setCaptionStyle(java.lang.String __captionStyle)

### setAjaxKeys

    public void setAjaxKeys(java.lang.String __ajaxKeys)

### setCaptionClass

    public void setCaptionClass(java.lang.String __captionClass)

### setAlign

    public void setAlign(java.lang.String __align)

### setBgcolor

    public void setBgcolor(java.lang.String __bgcolor)

### setBorder

    public void setBorder(java.lang.String __border)

### setRowIndex

    public void setRowIndex(java.lang.String __rowIndex)

### setOnRowMouseMove

    public void setOnRowMouseMove(java.lang.String __onRowMouseMove)

### setFrame

    public void setFrame(java.lang.String __frame)

### setElements

    public void setElements(java.lang.String __elements)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.